[Monk Class Transfer]:
A Monk who reaches level 40 can proceed with the 2nd class transfer to become a Tyrant. In order to become a Tyrant, the player must successfully complete three quests. The Trial of the Challenger may be undertaken by a player of level 35 or above. This quest begins by meeting with Kash of Dion Castle Town. The Testimony of Glory may be undertaken by a player of level 37 or above. This quest begins by meeting with Prefect Vokian of Giran Castle Town. Finally, the Test of the Duelist may be undertaken by a player of level 39 or above. This quest begins by meeting with Duelist Kaien of Oren Castle Town.
Return
Close Window